Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| OptaPlanner distribution 6.0.0.CR4-Pre1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.optaplanner.core.impl.domain.value
Class CompositePlanningValueRangeDescriptor

    java.lang.Object
      org.optaplanner.core.impl.domain.value.AbstractPlanningValueRangeDescriptor
          org.optaplanner.core.impl.domain.value.CompositePlanningValueRangeDescriptor

All Implemented Interfaces:
  PlanningValueRangeDescriptor

    public class CompositePlanningValueRangeDescriptor

extends AbstractPlanningValueRangeDescriptor

Field Summary
`protected boolean` | `entityDependent`
`protected List<PlanningValueRangeDescriptor>` | `valueRangeDescriptorList`

Fields inherited from class org.optaplanner.core.impl.domain.value.AbstractPlanningValueRangeDescriptor
`variableDescriptor`

Constructor Summary
`CompositePlanningValueRangeDescriptor(PlanningVariableDescriptor variableDescriptor, List<PlanningValueRangeDescriptor> valueRangeDescriptorList)`

Method Summary
`Collection<?>` | `extractAllValues(Solution solution)`
`Collection<?>` | `extractValues(Solution solution, Object entity)`
`long` | `getValueCount(Solution solution, Object entity)`
`boolean` | `isEntityDependent()`
`boolean` | `isValuesCacheable()`

Methods inherited from class org.optaplanner.core.impl.domain.value.AbstractPlanningValueRangeDescriptor
`getVariableDescriptor, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### valueRangeDescriptorList

    protected final List<PlanningValueRangeDescriptor> valueRangeDescriptorList

### entityDependent

    protected boolean entityDependent

Constructor Detail

### CompositePlanningValueRangeDescriptor

    public CompositePlanningValueRangeDescriptor(PlanningVariableDescriptor variableDescriptor,
                                                 List<PlanningValueRangeDescriptor> valueRangeDescriptorList)

Method Detail

### isEntityDependent

    public boolean isEntityDependent()

### extractAllValues

    public Collection<?> extractAllValues(Solution solution)

### extractValues

    public Collection<?> extractValues(Solution solution,
                                       Object entity)

### getValueCount

    public long getValueCount(Solution solution,
                              Object entity)

### isValuesCacheable

    public boolean isValuesCacheable()

  Specified by:
    `isValuesCacheable` in interface `PlanningValueRangeDescriptor`
  Overrides:
    `isValuesCacheable` in class `AbstractPlanningValueRangeDescriptor`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| OptaPlanner distribution 6.0.0.CR4-Pre1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2013 JBoss by Red Hat. All Rights Reserved.